CHRT(1)

NOM
chrt - Manipuler les attributs temps réel d'un processus

SYNOPSIS
chrt [options] prio commande [arg]...
chrt [options] -p [prio] pid

DESCRIPTION
chrt définit ou récupère les attributs d'ordonnancement temps réel d'un processus existant ou exécute la commande avec les attributs fournis. La politique d'ordonnancement (SCHED_OTHER, SCHED_FIFO, SCHED_RR, ou SCHED_BATCH) et la priorité peuvent être définis et récupérées.

La politique SCHED_BATCH est prise en charge depuis Linux 2.6.16.

OPTIONS

-p ,  --pid
    Opérer sur un processus existant et ne pas lancer une nouvelle tâche.

-b, --batch
    Définir la politique d'ordonnancement à SCHED_BATCH.

-f ,  --fifo
    Définir la politique d'ordonnancement à SCHED_FIFO.

-m ,  --max
    Afficher les priorités minimum et maximum valides et quitter.

-o ,  --other
    Définir la politique d'ordonnancement à SCHED_OTHER.

-r ,  --rr
    Définir la politique d'ordonnancement à SCHED_RR (c'est la valeur par défaut) .

-h ,  --help
    Afficher un message d'aide et quitter.

-v ,  --version
    Afficher les informations de versions et quitter.

USAGE

Le comportement par défaut est de lancer une nouvelle tâche. :
    chrt prio commande [arguments]

Vous pouvez également récupérer les attributs temps réel d'une tâche existante :
    chrt -p pid

Ou bien les définir :
    chrt -p prio pid

PERMISSIONS
Un utilisateur doit posséder la capacité CAP_SYS_NICE pour pouvoir modifier les attributs d'ordonnancement d'un processus. N'importe quel utilisateur peut récupérer les informations d'ordonnancement.

AUTEUR
Écrit par Robert M. Love.

COPYRIGHT
Copyright © 2004 Robert M. Love
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

VOIR AUSSI
taskset(1), nice(1), renice(1), sched_setscheduler(2)

DISPONIBILITÉ
La commande chrt fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

TRADUCTION
Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 chrt ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.